Two exploit kits prey on Flash Player flaw patched only last week

Two exploit kits have been outfitted with the exploit for a Flash Player vulnerability that has been patched only a week ago, the researcher that goes by the handle Kafeine has shared on Tuesday.

The integer overflow vulnerability in question (CVE-2014-0569) can allow attackers to execute arbitrary code via unspecified vectors, and is deemed critical (high impact, easily exploitable). Initial information about it has been shared with Adobe via HP’s Zero Day Initiative.

Researchers are admittedly worried about the short period of time that passed between is patching and the exploit surfacing in the Fiesta and Angler exploit kits. As Kafeine notes, it’s technically possible that the exploit was included in the kits even before the patch was available.

It’s normal and usual for exploit kit developers to incorporate proof-of-concept exploits that have been published online by researchers – they rarely write their own from scratch because that takes time and knowledge that perhaps many of them don’t have.

In this case, the time period was very short, and technical information about the vulnerability and exploit code hasn’t yet been shared online.

“The criminals built this vulnerability into an exploit kit in record time. Whether they were given a heads-up, or just have a highly skilled reverse engineer, both scenarios are equally worrisome as it increases the possible window of infection,” noted Jerome Segura, senior security researcher from Malwarebytes Labs.

“Perhaps this is not too much of a deal for individuals, but it can be more difficult for businesses which need to roll out patches on dozens of machines, hoping doing so will not cause malfunctions in existing applications.”

The exploit kits are used to deliver the usual assortment of malware, and some of the variants have an extremely low detection rate.

“Browsing the net on an unpatched computer is like playing Russian roulette with a handful of loaded guns,” Segura pointed out. “The bad guys are not going to run short of vulnerabilities they can weaponize, and if this happens at a quicker rate than ever before, their success rate will increase. This leaves end users with very little room for mistakes, such as failing to diligently apply security patches sooner rather than later.”

If you use Adobe Flash Player, and you haven’t implemented the latest patches, now would be a good time to rectify that mistake.